Label not hiding when "unassigned" symbol classification unchecked

2016-01-20 08:49 AM - Robin Jones

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.12.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22149

Description

When "categorized" symbols are created for a point layer using any source field, and the final "uncategorized" symbol is un-ticked from the

legend,

labels still show even though the symbols are hidden on the map. The other classified symbols work as expected.

History

#1 - 2016-01-25 04:09 PM - Sebastian Dietrich

- Status changed from Open to Feedback

I unfortunately can not reproduce. Can you please attach a sample, like a small shapefile and a QML file?

#2 - 2016-01-26 02:21 AM - Robin Jones

- File testissue.qgs added

I have now determined that the conditions are more precise than I had realized. This behaviour occurs after creating a categorized classification and then

removing one of the classes (val3) so that it will then be included in the "undefined" category. When the "undefined" class is hidden, the label still remains

for id 3 but correctly disappears for id 4 which has a null value.

I have attached a small qgis project with a memory layer for demonstration.

I presume that this is still not intended behaviour.

#3 - 2016-01-26 04:56 PM - Nyall Dawson

Still can not reproduce (on current master). Please test with the current nightly version and let us know if you still experience this

#4 - 2016-01-28 05:41 AM - Robin Jones

- File Capture2.JPG added

I have now tried the nightly build (for ubuntu) to compare with the windows 2.12.3 release that I had previously tried. 

I have found the same behaviour has still occurred, so I am at a loss as to why your system fails to reproduce the same issue.

I have attached a screenshot showing the issue. The label "3" should have disappeared.
#5 - 2016-01-28 10:17 AM - Nyall Dawson

Can you attach a self contained project and data file which demonstrate this? The earlier project alone is not enough to reproduce.

#6 - 2016-02-17 03:43 AM - Robin Jones

- File test.zip added

- File test.qgs added

I've now realised that an additional update with a shapefile and project must have failed to appear for some reason. I've just confirmed that the label "3"

dows not disappear when "unassigned" is unchecked. Hopefully you will be a ble to reproduce this.

#7 - 2016-02-17 05:57 AM - Nyall Dawson

Can you please re-test with the current nightly version? I can't reproduce using your test project.

#8 - 2016-02-17 05:57 AM - Nyall Dawson

Note that there was a commit yesterday which may have fixed this, so that's why testing a recent build would be appreciated

#9 - 2016-02-17 06:50 AM - Robin Jones

I have now just downloaded the nightly master build and can report that the issue has now been resolved. Many thanks.

#10 - 2016-02-17 11:37 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

#11 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

Files

testissue.qgs 24.6 KB 2016-01-26 Robin Jones

Capture2.JPG 74.7 KB 2016-01-28 Robin Jones

test.qgs 25.2 KB 2016-02-17 Robin Jones

test.zip 1.41 KB 2016-02-17 Robin Jones
